<?php

namespace App\Extentions\Traits;

use Firebase\JWT\JWT;
use Illuminate\Support\Str;

trait JwtTokenize
{
    public function jwt($revoke = false): string
    {
        if ($revoke) {
            $this['token'] = Str::random(80);
            $this->save();
        }
        $payload = $this->makeHidden(['password', 'role_ids'])->toArray();
        $key = env('JWT_KEY');
        return JWT::encode($payload, $key, 'HS256');
    }
}
