<?php

namespace App\Library\FoxSocket;

use ElephantIO\Client;
use ElephantIO\Engine\SocketIO\Version2X;

class FoxSocket
{
    private Client $client;

    public function __construct()
    {
        $this->client = new Client(new Version2X(env('WS_URL')));
    }

    public function emit(string $event, mixed $data = []): Client
    {
        $this->client->initialize();
        $this->client->emit($event, $data);
        $this->client->close();

        return $this->client;
    }
}
