<?php

namespace App\Library\FoxTg;

class TgResponse
{
    private int $status;
    private mixed $response;

    public function __construct(int $status, mixed $response)
    {
        $this->status = $status;
        $this->response = $response;
    }

    public function response(): mixed
    {

        if ($this->status > 0)
            return $this->response;
        return null;
    }

    public function status(): int
    {
        return $this->status;
    }
}
